Status: Closed Priority: Should have
Subject: Button-Bar should be positioned using jQuery UI position
Description

Currently the handles to add/delete/move content are displayed manually inside ui/elements/contentelement-handles.js around line
61.

However, this seems to break depending on the site's CSS quite often (for example on the flow3.org website).

Thus, we want to replace the manual positioning with using jQuery UI position helper: http://jqueryui.com/demos/position/#events

Bonus: If possible make the handles appear only when the content element is active, and not on hover. This should make the UI
more visually "stable".

Associated revisions
Revision fb3ec69f - 2012-09-18 11:32 - Mattias Nilsson

[FEATURE] Button-Bar should be positioned reliably

We removed the old positioning of the button-bar; and after trying out jQuery UI
we found a CSS-only solution.

Additionally, the button-bar is correctly positioned inside sections; only
being visible when the section was selected or it is empty.

An active section is also outlined correctly with a border now.

This solution has been tested with Chrome and Firefox, for each of these sites:

    -  Old Demo site
    -  flow3.org site
    -  WIP demo site

Change-Id: Ia7301fc52f8c4e83c546f467b080f5fd8e19b977
Resolves: #40852

History
#1 - 2012-09-12 09:31 - Sebastian Kurfuerst

Currently, they are just manually positioned (see ui/elements/contentelement-handles.js around line 61). However, that is prone to errors and often
breaks the positioning.

We'd like to use jQuery UI Position widget for that, as that's hopefully more robust.
#2 - 2012-09-12 09:39 - Sebastian Kurfuerst
- Status changed from New to Accepted

#3 - 2012-09-13 16:03 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14582

#4 - 2012-09-14 07:58 - Mattias Nilsson
- Status changed from Accepted to Under Review

#5 - 2012-09-17 12:07 - Sebastian Kurfuerst
- Status changed from Under Review to Accepted

#6 - 2012-09-17 12:07 - Sebastian Kurfuerst
- Assigned To changed from Mattias Nilsson to Sebastian Kurfuerst

#7 - 2012-09-17 12:07 - Sebastian Kurfuerst

I'll take over this task, and check it in various sites

#8 - 2012-09-17 12:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14582

#9 - 2012-09-17 12:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14582

#10 - 2012-09-17 13:07 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14582

#11 - 2012-09-18 10:43 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14582

#12 - 2012-09-18 10:44 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#13 - 2012-09-18 11:32 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14582

#14 - 2012-09-18 11:35 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fb3ec69f5ce37d8459e9278658625ea34bbf01b8.

#15 - 2012-10-04 13:52 - Markus Goldbeck
- Status changed from Resolved to Closed
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
